> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Prompt Dataset by Name



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json get /api/v2/projects/{project_id}/datasets/name/{dataset_name}
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/projects/{project_id}/datasets/name/{dataset_name}:
    get:
      tags:
        - Prompt Datasets
      summary: Get Prompt Dataset by Name
      operationId: get_get_by_name
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
        - name: dataset_name
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  id:
                    format: uuid
                    title: Id
                    type: string
                  name:
                    title: Name
                    type: string
                  description:
                    title: Description
                    type: string
                required:
                  - id
                  - name
                  - description
                title: TestListInfo
                type: object
          description: 'TestListInfo(test_list: shared.sqlalchemy.models.Dataset)'
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````